<div>
    <ul class="breadcrumbs-list" ng-if="!$ctrl.isMobile || $ctrl.breadcrumbs.length < 3">
        <li class="breadcrumbs-list-item"
            ng-repeat="breadcrumb in $ctrl.breadcrumbs"
            ng-class="{ '_link': breadcrumb.state || breadcrumb.customAction, '_text-overflow': breadcrumb.customAction }">
            <a class="breadcrumb _link"
                ng-if="breadcrumb.state"
                ui-sref="{{ breadcrumb.state }}">
                {{ $ctrl.getBreadcrumbTitle(breadcrumb) }}
            </a>
            <span class="breadcrumb"
                ng-if="!breadcrumb.state && !breadcrumb.customAction">
                {{ $ctrl.getBreadcrumbTitle(breadcrumb) }}
            </span>
            <span class="breadcrumb _link" 
                ng-if="breadcrumb.customAction"
                ng-click="$ctrl.customActions[breadcrumb.title].action()">
                {{ $ctrl.getBreadcrumbTitle(breadcrumb) }}
            </span>
        </li>
    </ul>
    <ul class="breadcrumbs-list" ng-if="$ctrl.isMobile && $ctrl.breadcrumbs.length >= 3">
        <li class="breadcrumbs-list-item _link" ng-class="{'_text-overflow': $ctrl.first.customAction}">
            <a class="breadcrumb _link"
                ng-if="$ctrl.first.state"
                ui-sref="{{ $ctrl.first.state }}">
                {{ $ctrl.getBreadcrumbTitle($ctrl.first) }}
            </a>
            <span class="breadcrumb"
                ng-if="!$ctrl.first.state && !$ctrl.first.customAction">
                {{ $ctrl.getBreadcrumbTitle($ctrl.first) }}
            </span>
            <span class="breadcrumb _link"
                ng-if="!$ctrl.first.state && $ctrl.first.customAction"
                ng-click="$ctrl.customActions[$ctrl.first.title].action()">
                {{ $ctrl.getBreadcrumbTitle($ctrl.first) }}
            </span>
        </li>
        <li class="breadcrumbs-list-item _link">
            <md-menu md-offset="-40 45" class="breadcrumb-menu">
                <div aria-label="Menu" class="breadcrumb-menu__button md-icon-button" ng-click="$mdMenu.open($event)">...</div>
                <md-menu-content width="2" class="breadcrumb-menu__list">
                    <md-menu-item ng-repeat="link in $ctrl.middle" class="breadcrumb-menu__item">
                        <a ui-sref="{{ link.state }}" class="breadcrumb-menu__item-link" ng-if="link.state && !link.customAction">{{ $ctrl.getBreadcrumbTitle(link) }}</a>
                        <span class="breadcrumb-menu__item-text" ng-if="!link.state && !link.customAction">{{ $ctrl.getBreadcrumbTitle(link) }}</span>
                        <span class="breadcrumb-menu__item-link" ng-if="!link.state && link.customAction" ng-click="$ctrl.customActions[link.title].action()">{{ $ctrl.getBreadcrumbTitle(link) }}</span>
                    </md-menu-item>
                </md-menu-content>
            </md-menu>
        </li>
        <li class="breadcrumbs-list-item _link" ng-class="{'_text-overflow': $ctrl.last.customAction}">
            <a class="breadcrumb _link"
                ng-if="$ctrl.last.state"
                ui-sref="{{ $ctrl.last.state }}">
                {{ $ctrl.getBreadcrumbTitle($ctrl.last) }}
            </a>
            <span class="breadcrumb"
                ng-if="!$ctrl.last.state && !$ctrl.last.customAction">
                {{ $ctrl.getBreadcrumbTitle($ctrl.last) }}
            </span>
            <span class="breadcrumb _link"
                ng-if="!$ctrl.last.state && $ctrl.last.customAction"
                ng-click="$ctrl.customActions[$ctrl.last.title].action()">
                {{ $ctrl.getBreadcrumbTitle($ctrl.last) }}
            </span>
        </li>
    </ul>
</div>
